Bug 807106 - Even after installing the rhc gem, users can't run rhc on some OSs
Even after installing the rhc gem, users can't run rhc on some OSs
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 23:34 EDT by Nam Duong
Modified: 2015-05-14 21:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:31:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2012-03-26 23:34:49 EDT
Description of problem:
IHAC running on Ubuntu 10.4 64bit.  After running:
su
apt-get install ruby
apt-get install rubygems
apt-get install ruby1.8-dev
gem install --source http://gems.rubyforge.org --source https://openshift.redhat.com/app/repo/ rhc

the user is still not able to run rhc commands.  After asking around, Dan pointed me to: http://www.stylesen.org/openshift_client_tools_installation_debianubuntu

Seems users still need to run:
ln -s /var/lib/gems/1.8/bin/rhc* /usr/bin/

Not obvious and will cause more forum posts, emails, support calls.
Comment 1 Nam Duong 2012-03-26 23:36:39 EDT
There is evidence that this problem is reported quite often.  Not always on Ubuntu, but on RHEL as well.
Comment 2 John (J5) Palmieri 2012-03-28 17:01:55 EDT
The gem doesn't install into /usr/bin.

gem contents rhc/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/COPYRIGHT
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/LICENSE
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/README
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/Rakefile
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc-app
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc-chk
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc-create-app
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc-create-domain
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc-ctl-app
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc-ctl-domain
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc-domain
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc-domain-info
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc-port-forward
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc-snapshot
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc-sshkey
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc-tail-files
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/bin/rhc-user-info
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/conf/express.conf
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/lib/rhc
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.2/lib/rhc-common.rb

I'll see if there is an option for this.
Comment 3 John (J5) Palmieri 2012-03-28 17:06:25 EDT
correct command to install would be:

gem install --source http://gems.rubyforge.org --source
https://openshift.redhat.com/app/repo/ --bindir=/usr/bin rhc

I don't know if there is a way to make this the default.
Comment 4 bzhao 2012-03-30 01:48:03 EDT
It's fixed

Note You need to log in before you can comment on or make changes to this bug.